## org.eclipse.datatools.connectivity.sqm.loader
Class CatalogFilterProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.ConnectionFilterProvider
          org.eclipse.datatools.connectivity.sqm.loader.CatalogFilterProvider

All Implemented Interfaces:
  IConnectionFilterProvider

    public class CatalogFilterProvider

extends ConnectionFilterProvider

Implementation for use with the "catalog" object loader.

Since:
  1.0

Constructor Summary
`CatalogFilterProvider()`

Method Summary
`ConnectionFilter` `getConnectionFilter(ICatalogObject catalogObject)` Returns the ConnectionFilter associated with the given catalog object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogFilterProvider

    public CatalogFilterProvider()

Method Detail

### getConnectionFilter

    public ConnectionFilter getConnectionFilter(ICatalogObject catalogObject)

  Description copied from interface: `IConnectionFilterProvider`
  Returns the ConnectionFilter associated with the given catalog object. For example: If this object is to be used in conjunction with a table loader, this method should return the ConnectionFilter representing the table filtering criteria for the specified object (e.g. a particular schema object).

  Parameters:
    `catalogObject` - the catalog object being loaded.
  Returns:
    the filter associated with the catalog object.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.